com.hazelcast.jet.core.metrics

## Class MetricTags

- java.lang.Object
- - com.hazelcast.jet.core.metrics.MetricTags

-     public final class MetricTags
      extends Object

  Metric descriptors are formed from a comma separated list of `tag_name=tag_value` pairs. The constants defined here are the possible tag names that are used in Jet. See individual descriptions for the meaning of information carried by each tag.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ADDRESS` Network address of the cluster member sourcing the metric.
    `static String` | `COOPERATIVE_WORKER` Index of the cooperative worker in a fixed worker pool sourcing the metric.
    `static String` | `EXECUTION` Unique ID of a particular execution of a job (sourcing the metric), example value would be a numerical (long) ID encoded in a human readable form, like `"2f7f-d88a-4669-6195"`, see `Util.idToString(long)` for details.
    `static String` | `JOB` Unique ID of the job (sourcing the metric), example value would be a numerical (long) ID encoded in a human readable form, like `"2f7f-d88a-4669-6195"`, see `Util.idToString(long)`)} for details.
    `static String` | `MEMBER` Unique ID of the cluster member sourcing the metric.
    `static String` | `METRIC` The name of the metric.
    `static String` | `MODULE` Source system or module, value is always `"jet"`.
    `static String` | `ORDINAL` Index of the vertex input or output edges sourcing the metric.
    `static String` | `PROCESSOR` Global index of the `Processor` sourcing the metric.
    `static String` | `PROCESSOR_TYPE` Class name without package name of the `Processor` sourcing the metric (only for processor-specific metrics).
    `static String` | `SINK` Boolean flag which is true if the `Processor` sourcing the metric is a DAG sink.
    `static String` | `SOURCE` Boolean flag which is true if the `Processor` sourcing the metric is a DAG source.
    `static String` | `UNIT` Unit of metric value, for details see `ProbeUnit`.
    `static String` | `VERTEX` DAG vertex name the of the metric.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODULE

          public static final String MODULE

      Source system or module, value is always `"jet"`.
      See Also:
        Constant Field Values

    - #### MEMBER

          public static final String MEMBER

      Unique ID of the cluster member sourcing the metric.
      See Also:
        Constant Field Values

    - #### ADDRESS

          public static final String ADDRESS

      Network address of the cluster member sourcing the metric.
      See Also:
        Constant Field Values

    - #### JOB

          public static final String JOB

      Unique ID of the job (sourcing the metric), example value would be a numerical (long) ID encoded in a human readable form, like `"2f7f-d88a-4669-6195"`, see `Util.idToString(long)`)} for details.
      See Also:
        Constant Field Values

    - #### EXECUTION

          public static final String EXECUTION

      Unique ID of a particular execution of a job (sourcing the metric), example value would be a numerical (long) ID encoded in a human readable form, like `"2f7f-d88a-4669-6195"`, see `Util.idToString(long)` for details.
      See Also:
        Constant Field Values

    - #### VERTEX

          public static final String VERTEX

      DAG vertex name the of the metric. Example value would be `"mapJournalSource(myMap)"`.
      See Also:
        Constant Field Values

    - #### PROCESSOR

          public static final String PROCESSOR

      Global index of the `Processor` sourcing the metric.
      See Also:
        Constant Field Values

    - #### PROCESSOR_TYPE

          public static final String PROCESSOR_TYPE

      Class name without package name of the `Processor` sourcing the metric (only for processor-specific metrics).
      See Also:
        Constant Field Values

    - #### SOURCE

          public static final String SOURCE

      Boolean flag which is true if the `Processor` sourcing the metric is a DAG source. Value is `true` or `false`.
      See Also:
        Constant Field Values

    - #### SINK

          public static final String SINK

      Boolean flag which is true if the `Processor` sourcing the metric is a DAG sink. Value is `true` or `false`.
      See Also:
        Constant Field Values

    - #### COOPERATIVE_WORKER

          public static final String COOPERATIVE_WORKER

      Index of the cooperative worker in a fixed worker pool sourcing the metric.
      See Also:
        Constant Field Values

    - #### ORDINAL

          public static final String ORDINAL

      Index of the vertex input or output edges sourcing the metric.
      See Also:
        Constant Field Values

    - #### METRIC

          public static final String METRIC

      The name of the metric. This is the tag that conceptually identifies a metric. Mandatory tag.
      See Also:
        Constant Field Values

    - #### UNIT

          public static final String UNIT

      Unit of metric value, for details see `ProbeUnit`.
      See Also:
        Constant Field Values

Copyright © 2019. All rights reserved.